Package com.independentsoft.office.charts

# Class DataTable

java.lang.Object
com.independentsoft.office.charts.DataTable

public class DataTable extends Object
The Class DataTable.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataTable()`
  Instantiates a new data table.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataTable`
  `clone()`
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `TextProperties`
  `getTextProperties()`
  Gets the text properties.
  `boolean`
  `isShowHorizontalBorder()`
  Checks if is show horizontal border.
  `boolean`
  `isShowLegendKeys()`
  Checks if is show legend keys.
  `boolean`
  `isShowOutlineBorder()`
  Checks if is show outline border.
  `boolean`
  `isShowVerticalBorder()`
  Checks if is show vertical border.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setShowHorizontalBorder​(boolean showHorizontalBorder)`
  Sets the show horizontal border.
  `void`
  `setShowLegendKeys​(boolean showLegendKeys)`
  Sets the show legend keys.
  `void`
  `setShowOutlineBorder​(boolean showOutlineBorder)`
  Sets the show outline border.
  `void`
  `setShowVerticalBorder​(boolean showVerticalBorder)`
  Sets the show vertical border.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataTable

    public DataTable()
    Instantiates a new data table.

- ## Method Details

  - ### clone

    public DataTable clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### isShowHorizontalBorder

    public boolean isShowHorizontalBorder()
    Checks if is show horizontal border.
    Returns:
      true, if is show horizontal border

  - ### setShowHorizontalBorder

    public void setShowHorizontalBorder​(boolean showHorizontalBorder)
    Sets the show horizontal border.
    Parameters:
      `showHorizontalBorder` - the new show horizontal border

  - ### isShowLegendKeys

    public boolean isShowLegendKeys()
    Checks if is show legend keys.
    Returns:
      true, if is show legend keys

  - ### setShowLegendKeys

    public void setShowLegendKeys​(boolean showLegendKeys)
    Sets the show legend keys.
    Parameters:
      `showLegendKeys` - the new show legend keys

  - ### isShowOutlineBorder

    public boolean isShowOutlineBorder()
    Checks if is show outline border.
    Returns:
      true, if is show outline border

  - ### setShowOutlineBorder

    public void setShowOutlineBorder​(boolean showOutlineBorder)
    Sets the show outline border.
    Parameters:
      `showOutlineBorder` - the new show outline border

  - ### isShowVerticalBorder

    public boolean isShowVerticalBorder()
    Checks if is show vertical border.
    Returns:
      true, if is show vertical border

  - ### setShowVerticalBorder

    public void setShowVerticalBorder​(boolean showVerticalBorder)
    Sets the show vertical border.
    Parameters:
      `showVerticalBorder` - the new show vertical border

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties

  - ### getTextProperties

    public TextProperties getTextProperties()
    Gets the text properties.
    Returns:
      the text properties